::##
::## PROGRAMA PARA DESCARGAR DATOS DEL MODELO GFS-18z CON 0.5 GRADOS DE RESOLUCION
::## HORIZONTAL PARA EL SECTOR DE SUDAMERICA
::##
::## El programa esta disenhado para bajar datos grib cada tres horas por las primeras
::## 36 horas, y cada seis horas hasta la hora de pronostico F84. Luego convierte  los
::## archivos de formato grib a formato Wingridds. Notar que se necesita la version de
::## Wingridds 3.2 para poder trabajar con estos archivos.
::##
::## Programado por Juan Jose Amides Figueroa  -- joseamidesfigueroa@gmail.com 
::##                                           -- juanfigueroa@marn.gob.sv
::## Revisado y editado por Jose Manuel Galvez -- jose.galvez@noaa.gov
::##                                           -- jomagalvez@gmail.com
::## Revisado por Angelo Pascualetti Ardiles   -- apascualetti@dgac.cl
::## 
::## Agradecimientos especiales a Mike Davison por su invaluable apoyo y ayuda,
::## y a Jeff Krob por su apoyo esencial en el desarrollo de Wingridds.
::## College Park, Maryland, USA, International Desk Training, Julio de 2014.
::##
::##@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::##@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::##@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::##                           NO MODIFICAR DEBAJO DE ESTA LINEA
::##@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::##@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::##@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@



::######AREA A DESCARGAR----------------------------------------------------------------------
set toplat=8
set leftlon=-88
set bottomlat=-60
set rightlon=-30

::######FOLDERS DONDE SE ENCUENTRA WINGRIDDS--------------------------------------------------
set folderwingriddsnws=C:\WINGRIDDS\GRIB\NWS
set folderwingriddssector=C:\WINGRIDDS\datosector_gfs\es
set folderwingridds=C:\WINGRIDDS

::######DEFINE LA HORA DEL SISTEMA Y MUESTRA LA FECHA QUE ESTA USANDO-------------------------
::######NOTAR QUE LA EXTRACCION DE LA FECHA HA SIDO ADAPTADA PARA WINDOWS EN ESPANHOL---------
set date_string=%date:~10,4%%date:~7,2%%date:~4,2%
::######LA OPCION ORIGINAL...PARA WINDOWS EN INGLES...ES LA SIGUIENTE.------------------------
::######SI QUIERE APLICARLA DESCOMENTELA (REMUEVA EL :: AL INICIO DE LA LINEA SIGUIENTE)------
::set date_string=%date:~10,4%%date:~4,2%%date:~7,2%
echo La fecha a usar es: %date_string%

::######BORRA DATOS RESIDUALES----------------------------------------------------------------
C:
cd %folderwingriddsnws%
del *.* /Q
cd %folderwingriddssector%
del *gfs.* /Q

::######DESCARGA EL LOS DATOS----------------------------------------------------------
ECHO DESCARGANDO F00
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f00&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F03
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f03&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F06
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f06&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F09
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f09&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F12
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f12&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F15
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f15&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F18
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f18&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F21
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f21&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F24
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f24&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F27
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f27&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F30
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f30&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F33
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f33&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F36
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f36&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F42
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f42&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F48
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f48&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F54
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f54&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F60
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f60&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F66
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f66&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F72
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f72&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F78
START /B aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f78&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"
ECHO DESCARGANDO F84
aria2c.exe -j7 -k1M -x16 "http://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_hd.pl?file=gfs.t18z.mastergrb2f84&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%18%%2Fmaster"


::######MUEVE LOS DATOS DESCARGADOS HACIA EL DIRECTORIO NWS-----------------------------------
move *gfs.* %folderwingriddsnws%

::######CONVIERTE LOS DATOS A FORMATO WINGRIDDS-----------------------------------------------
cd %folderwingridds%
Ngrb2pcg32.exe